Skip to main content
GET
https://api.trillet.ai
/
v1
/
api
/
meta-lead
/
status
/
{flowId}
Get Meta Lead Ads Status
curl --request GET \
  --url https://api.trillet.ai/v1/api/meta-lead/status/{flowId} \
  --header 'x-api-key: <api-key>' \
  --header 'x-workspace-id: <x-workspace-id>'
{
  "connected": true,
  "pages": [
    {
      "pageId": "123456789",
      "pageName": "My Business Page",
      "forms": ["form_001", "form_002"]
    }
  ],
  "callDelaySeconds": 30
}

Headers

x-api-key
string
required
API key used for authenticating requests to the API.
x-workspace-id
string
required
Workspace identifier for the API.

Path Parameters

flowId
string
required
The call flow ID to check the Meta Lead Ads status for.

Response Fields

connected
boolean
Whether Meta Lead Ads is connected and configured for this flow.
pages
array
Configured Facebook pages and their forms.
callDelaySeconds
number
Current call delay setting in seconds.
{
  "connected": true,
  "pages": [
    {
      "pageId": "123456789",
      "pageName": "My Business Page",
      "forms": ["form_001", "form_002"]
    }
  ],
  "callDelaySeconds": 30
}